---
title: "List Returns"
source_url: https://docs.rapyd.net/en/list-returns.html
lang: en
---

# List Returns

Retrieve a list of all order returns.

### Parameters

### Request Query Parameters

- - ending_before
  - The ID of the order created after the last order you want to retrieve a return from.
- - limit
  - The maximum number of returns to list. Range: 1-100.

    10
- - starting_after
  - The ID of the order created before the first order you want to retrieve a return from.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Total amount of the order, the sum of the amount of the 'shipping' items, plus the `amount` of the tax, plus `amount` times `quantity` of each of the 'sku' items. Decimal.
- - created
  - When the order was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time"). Response only.
- - currency
  - Three-letter ISO 4217 code for the currency used in the 'item' objects.
- - id
  - ID of the return. String starting with **orre_**.
- - items
  - Each item describes one charge in the invoice.

    - - amount
      - Price of one SKU unit, in the currency defined in `currency`. Decimal, including the correct number of decimal places for the currency exponent, as defined in ISO 2417:2015.
    - - currency
      - Three-letter ISO 4217 code for the currency. Must be the same as the currency of the order and the currency of the customer's payment method.
    - - description
      - Description of the item.
    - - parent
      - ID of the SKU object that represents the product. One of the following:

        - ID of the SKU object. String starting with **sku_**
        - ID of the coupon. If generated by Rapyd, a string starting with **coupon_**.
    - - quantity
      - Quantity of the product in the line item. Integer. Required when `type` is **sku**.
    - - type
      - Type of line item. One of the following:

        - **discount**
        - **shipping**
        - **sku**
        - **tax**
- - order
  - ID of the order. String starting with **order_**.
- - refund
  - ID of the refund. String starting with **refund_**.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/order_returns");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                     Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest('GET', '/v1/order_returns');

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('get', '/v1/order_returns');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      result = make_request(method='get', path='/v1/order_returns')
      pprint(result)
      ```

- /v1/order_returns

- List Returns
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/order_returns?limit=3' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```text
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "b4e61692-0cbd-482b-80f8-fafd74e1d8ee"
      },
      "data": [
          {
              "id": "orre_8772f02783e103c39047ef34e7b4dab0",
              "amount": 50,
              "created": 1763534194,
              "currency": "USD",
              "items": [
                  {
                      "amount": 50,
                      "currency": "USD",
                      "description": 0,
                      "parent": "sku_6eb43887fd478baaf9223ec7ec17da21",
                      "quantity": 1,
                      "type": "sku"
                  }
              ],
              "order": "order_07f883eacb9bc126a60d7e147a58e057",
              "refund": "refund_4f4a3f3a758fa0f5e61b57aafc7c9e87"
          },
          {
              "id": "orre_fe2862c09fc342b222589ca9e4fef766",
              "amount": 50,
              "created": 1672665882,
              "currency": "USD",
              "items": [
                  {
                      "amount": 50,
                      "currency": "USD",
                      "description": 0,
                      "parent": "sku_d0b8f03208cf2b406cca3e59a362691c",
                      "quantity": 1,
                      "type": "sku"
                  }
              ],
              "order": "order_3fe4ed8e5f6d1678d8847833942ca4bf",
              "refund": "refund_05a833074e5f1659694fd8413fa776a3"
          },
          {
              "id": "orre_f38559ea951c5b8c41dc0feb3ea9f36d",
              "amount": 200,
              "created": 1667994892,
              "currency": "USD",
              "items": [
                  {
                      "amount": 200,
                      "currency": "USD",
                      "description": 0,
                      "parent": "sku_d0b8f03208cf2b406cca3e59a362691c",
                      "quantity": 1,
                      "type": "sku"
                  }
              ],
              "order": "order_3fe4ed8e5f6d1678d8847833942ca4bf",
              "refund": "refund_589cd67c171c461cbe6d733705badf51"
          }
      ]
  }
  ```
